aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.travis/test/mutual_friends.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2019-09-26 14:48:40 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2019-09-26 14:48:40 +0300
commit790dfb6e0e771bbf03d75f6c5c15121597db7596 (patch)
tree4c31e8ab4e115655a9bf2bc893e75399ed6f7147 /.travis/test/mutual_friends.sh
parentTravis: test.sh: -x (diff)
downloadvk-scripts-790dfb6e0e771bbf03d75f6c5c15121597db7596.tar.gz
vk-scripts-790dfb6e0e771bbf03d75f6c5c15121597db7596.zip
Travis: move test phases into separate scripts
Diffstat (limited to '')
-rwxr-xr-x.travis/test/mutual_friends.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.travis/test/mutual_friends.sh b/.travis/test/mutual_friends.sh
new file mode 100755
index 0000000..ebe0c17
--- /dev/null
+++ b/.travis/test/mutual_friends.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+mutual_friends() {
+ echo 'Running mutual_friends.py --format csv...'
+ python3 -m bin.mutual_friends --format csv "$@"
+ echo 'Running mutual_friends.py --format json...'
+ python3 -m bin.mutual_friends --format json "$@"
+}
+
+main() {
+ mutual_friends kreed58 maxkorzh_official
+}
+
+main "$@"